Bug 906783 - Quantum/Nova does not work with nova.virt.firewall.NoopFirewallDriver
Quantum/Nova does not work with nova.virt.firewall.NoopFirewallDriver
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
2.0 (Folsom)
Unspecified Unspecified
medium Severity medium
: snapshot4
: 2.1
Assigned To: RHOS Maint
Ofer Blaut
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-01 08:34 EST by Gary Kotton
Modified: 2016-04-26 18:43 EDT (History)
6 users (show)

See Also:
Fixed In Version: openstack-nova-2012.2.3-2.el6ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-21 14:16:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 22136 None None None Never

  None (edit)
Description Gary Kotton 2013-02-01 08:34:30 EST
Description of problem:
When setting the firewall driver as nova.virt.firewall.NoopFirewallDriver launching instances with Quantum OVS has an exception (below)

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
2013-02-01 08:19:01 ERROR nova.compute.manager [req-cebc3d95-8454-4be4-9463-409d2a1c127c 7c087aa963d34577b350de4533373186 edd8dd51464940b88eb9b616eaf8ff86] [instance: 5843dae5-5a03-4306-8f70-20dddb114c9e] Instance failed to spawn
2013-02-01 08:19:01 2525 TRACE nova.compute.manager [instance: 5843dae5-5a03-4306-8f70-20dddb114c9e] Traceback (most recent call last):
2013-02-01 08:19:01 2525 TRACE nova.compute.manager [instance: 5843dae5-5a03-4306-8f70-20dddb114c9e]   File "/usr/lib/python2.6/site-packages/nova/compute/manager.py", line 747, in _spawn
2013-02-01 08:19:01 2525 TRACE nova.compute.manager [instance: 5843dae5-5a03-4306-8f70-20dddb114c9e]     block_device_info)
2013-02-01 08:19:01 2525 TRACE nova.compute.manager [instance: 5843dae5-5a03-4306-8f70-20dddb114c9e]   File "/usr/lib/python2.6/site-packages/nova/exception.py", line 117, in wrapped
2013-02-01 08:19:01 2525 TRACE nova.compute.manager [instance: 5843dae5-5a03-4306-8f70-20dddb114c9e]     temp_level, payload)
2013-02-01 08:19:01 2525 TRACE nova.compute.manager [instance: 5843dae5-5a03-4306-8f70-20dddb114c9e]   File "/usr/lib64/python2.6/contextlib.py", line 23, in __exit__
2013-02-01 08:19:01 2525 TRACE nova.compute.manager [instance: 5843dae5-5a03-4306-8f70-20dddb114c9e]     self.gen.next()
2013-02-01 08:19:01 2525 TRACE nova.compute.manager [instance: 5843dae5-5a03-4306-8f70-20dddb114c9e]   File "/usr/lib/python2.6/site-packages/nova/exception.py", line 92, in wrapped
2013-02-01 08:19:01 2525 TRACE nova.compute.manager [instance: 5843dae5-5a03-4306-8f70-20dddb114c9e]     return f(*args, **kw)
2013-02-01 08:19:01 2525 TRACE nova.compute.manager [instance: 5843dae5-5a03-4306-8f70-20dddb114c9e]   File "/usr/lib/python2.6/site-packages/nova/virt/libvirt/driver.py", line 1094, in spawn
2013-02-01 08:19:01 2525 TRACE nova.compute.manager [instance: 5843dae5-5a03-4306-8f70-20dddb114c9e]     block_device_info)
2013-02-01 08:19:01 2525 TRACE nova.compute.manager [instance: 5843dae5-5a03-4306-8f70-20dddb114c9e]   File "/usr/lib/python2.6/site-packages/nova/virt/libvirt/driver.py", line 1958, in _create_domain_and_network
2013-02-01 08:19:01 2525 TRACE nova.compute.manager [instance: 5843dae5-5a03-4306-8f70-20dddb114c9e]     domain = self._create_domain(xml)
2013-02-01 08:19:01 2525 TRACE nova.compute.manager [instance: 5843dae5-5a03-4306-8f70-20dddb114c9e]   File "/usr/lib/python2.6/site-packages/nova/virt/libvirt/driver.py", line 1937, in _create_domain
2013-02-01 08:19:01 2525 TRACE nova.compute.manager [instance: 5843dae5-5a03-4306-8f70-20dddb114c9e]     domain.createWithFlags(launch_flags)
2013-02-01 08:19:01 2525 TRACE nova.compute.manager [instance: 5843dae5-5a03-4306-8f70-20dddb114c9e]   File "/usr/lib/python2.6/site-packages/eventlet/tpool.py", line 187, in doit
2013-02-01 08:19:01 2525 TRACE nova.compute.manager [instance: 5843dae5-5a03-4306-8f70-20dddb114c9e]     result = proxy_call(self._autowrap, f, *args, **kwargs)
2013-02-01 08:19:01 2525 TRACE nova.compute.manager [instance: 5843dae5-5a03-4306-8f70-20dddb114c9e]   File "/usr/lib/python2.6/site-packages/eventlet/tpool.py", line 147, in proxy_call
2013-02-01 08:19:01 2525 TRACE nova.compute.manager [instance: 5843dae5-5a03-4306-8f70-20dddb114c9e]     rv = execute(f,*args,**kwargs)
2013-02-01 08:19:01 2525 TRACE nova.compute.manager [instance: 5843dae5-5a03-4306-8f70-20dddb114c9e]   File "/usr/lib/python2.6/site-packages/eventlet/tpool.py", line 76, in tworker
2013-02-01 08:19:01 2525 TRACE nova.compute.manager [instance: 5843dae5-5a03-4306-8f70-20dddb114c9e]     rv = meth(*args,**kwargs)
2013-02-01 08:19:01 2525 TRACE nova.compute.manager [instance: 5843dae5-5a03-4306-8f70-20dddb114c9e]   File "/usr/lib64/python2.6/site-packages/libvirt.py", line 708, in createWithFlags
2013-02-01 08:19:01 2525 TRACE nova.compute.manager [instance: 5843dae5-5a03-4306-8f70-20dddb114c9e]     if ret == -1: raise libvirtError ('virDomainCreateWithFlags() failed', dom=self)
2013-02-01 08:19:01 2525 TRACE nova.compute.manager [instance: 5843dae5-5a03-4306-8f70-20dddb114c9e] libvirtError: Network filter not found: Could not find filter 'nova-instance-instance-00000008-fa163e5b1d2d'
2013-02-01 08:19:01 2525 TRACE nova.compute.manager [instance: 5843dae5-5a03-4306-8f70-20dddb114c9e] 
2013-02-01 08:19:01 INFO nova.compute.resource_tracker [req-cebc3d95-8454-4be4-9463-409d2a1c127c 7c087aa963d34577b350de4533373186 edd8dd51464940b88eb9b616eaf8ff86] Aborting claim: [Claim 5843dae5-5a03-4306-8f70-20dddb114c9e: 512 MB memory, 0 GB disk, 1 VCPUS]
2013-02-01 08:19:02 ERROR nova.compute.manager [req-cebc3d95-8454-4be4-9463-409d2a1c127c 7c087aa963d34577b350de4533373186 edd8dd51464940b88eb9b616eaf8ff86] [instance: 5843dae5-5a03-4306-8f70-20dddb114c9e] Build error: ['Traceback (most recent call last):\n', '  File "/usr/lib/python2.6/site-packages/nova/compute/manager.py", line 494, in _run_instance\n    injected_files, admin_password)\n', '  File "/usr/lib/python2.6/site-packages/nova/compute/manager.py", line 747, in _spawn\n    block_device_info)\n', '  File "/usr/lib/python2.6/site-packages/nova/exception.py", line 117, in wrapped\n    temp_level, payload)\n', '  File "/usr/lib64/python2.6/contextlib.py", line 23, in __exit__\n    self.gen.next()\n', '  File "/usr/lib/python2.6/site-packages/nova/exception.py", line 92, in wrapped\n    return f(*args, **kw)\n', '  File "/usr/lib/python2.6/site-packages/nova/virt/libvirt/driver.py", line 1094, in spawn\n    block_device_info)\n', '  File "/usr/lib/python2.6/site-packages/nova/virt/libvirt/driver.py", line 1958, in _create_domain_and_network\n    domain = self._create_domain(xml)\n', '  File "/usr/lib/python2.6/site-packages/nova/virt/libvirt/driver.py", line 1937, in _create_domain\n    domain.createWithFlags(launch_flags)\n', '  File "/usr/lib/python2.6/site-packages/eventlet/tpool.py", line 187, in doit\n    result = proxy_call(self._autowrap, f, *args, **kwargs)\n', '  File "/usr/lib/python2.6/site-packages/eventlet/tpool.py", line 147, in proxy_call\n    rv = execute(f,*args,**kwargs)\n', '  File "/usr/lib/python2.6/site-packages/eventlet/tpool.py", line 76, in tworker\n    rv = meth(*args,**kwargs)\n', '  File "/usr/lib64/python2.6/site-packages/libvirt.py", line 708, in createWithFlags\n    if ret == -1: raise libvirtError (\'virDomainCreateWithFlags() failed\', dom=self)\n', "libvirtError: Network filter not found: Could not find filter 'nova-instance-instance-00000008-fa163e5b1d2d'\n"]
2013-02-01 08:19:55 2525 AUDIT nova.compute.resource_tracker [-] Free ram (MB): 853
Comment 2 Gary Kotton 2013-02-17 09:42:58 EST
Upstream stable/folsom fix - https://review.openstack.org/22136
The was addressed in upstream Grizzly
Comment 6 Ofer Blaut 2013-03-11 05:35:35 EDT
Tested on openstack-quantum-2012.2.3-5.el6ost.noarch

No error is seen in server.log , VMs gets DHCP
Comment 8 errata-xmlrpc 2013-03-21 14:16:01 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0657.html

Note You need to log in before you can comment on or make changes to this bug.